<div class="center">
  <section class="tool-overview">
    <h1>{{ toolName }}</h1>
    <div class="tool-details">
      <div class="logo-container">
        <img [src]="toolLogo" alt="Tool Logo" />
      </div>
      <div class="tool-description">
        <p>{{ toolDescription }}</p>
      </div>
    </div>
  </section>

  <section class="tool-overview">
    <h2>Tool Overview</h2>
    <div class="table-container">
      <table>
        <tbody>
          <!-- Additional Informations -->
          <tr>
            <th colspan="3" style="text-align: center; font-size: larger">
              Usage
            </th>
          </tr>
          <ng-container *ngFor="let rowData of usage">
            <tr *ngIf="rowData.text || rowData.data1">
              <th>{{ rowData.rowHeader }}</th>
              <td colspan="2">
                <ng-container *ngIf="rowData.text && rowData.link; else noLink">
                  <a href="{{ rowData.link }}" target="_blank">{{
                    rowData.text
                  }}</a>
                </ng-container>
                <ng-template #noLink>
                  {{ rowData.data1 }}
                </ng-template>
              </td>
            </tr>
          </ng-container>

          <!-- Used in Publications -->
          <tr *ngIf="showUsedSection">
            <th colspan="3" style="text-align: center; font-size: larger">
              Used in Publications
            </th>
          </tr>
          <ng-container *ngFor="let rowData of used">
            <tr *ngIf="showUsedSection && (rowData.text || rowData.data1)">
              <th>{{ rowData.rowHeader }}</th>
              <td colspan="2">
                <ng-container *ngIf="rowData.text && rowData.link; else noLink">
                  <a href="{{ rowData.link }}" target="_blank">{{
                    rowData.text
                  }}</a>
                </ng-container>
                <ng-template #noLink>
                  {{ rowData.data1 }}
                </ng-template>
              </td>
            </tr>
          </ng-container>

          <!-- Founding and Support -->
          <tr *ngIf="showFoundingSection">
            <th colspan="3" style="text-align: center; font-size: larger">
              Funding and Support
            </th>
          </tr>
          <ng-container *ngFor="let rowData of founding">
            <tr *ngIf="showFoundingSection && (rowData.text || rowData.data1)">
              <th>{{ rowData.rowHeader }}</th>
              <td colspan="2">
                <ng-container *ngIf="rowData.text && rowData.link; else noLink">
                  <a href="{{ rowData.link }}" target="_blank">{{
                    rowData.text
                  }}</a>
                </ng-container>
                <ng-template #noLink>
                  {{ rowData.data1 }}
                </ng-template>
              </td>
            </tr>
          </ng-container>

          <!-- Collaborations -->
          <tr *ngIf="showColabSection">
            <th colspan="3" style="text-align: center; font-size: larger">
              Collaborations
            </th>
          </tr>
          <ng-container *ngFor="let rowData of colab">
            <tr *ngIf="showColabSection && (rowData.nameText || rowData.name)">
              <th>{{ rowData.rowHeader }}</th>
              <td>
                <ng-container
                  *ngIf="rowData.nameText && rowData.nameLink; else noLink"
                >
                  <a href="{{ rowData.nameLink }}" target="_blank">{{
                    rowData.nameText
                  }}</a>
                </ng-container>
                <ng-template #noLink>
                  {{ rowData.name }}
                </ng-template>
              </td>
              <td>
                <ng-container
                  *ngIf="
                    rowData.institutionText && rowData.institutionLink;
                    else noLink
                  "
                >
                  <a href="{{ rowData.institutionLink }}" target="_blank">{{
                    rowData.institutionText
                  }}</a>
                </ng-container>
                <ng-template #noLink>
                  {{ rowData.institution }}
                </ng-template>
              </td>
            </tr>
          </ng-container>
        </tbody>
      </table>
    </div>
  </section>

  <section class="tool-overview">
      <h2>Updates</h2>
        <ul class="update-list">
          <li class="post-feed-post" *ngFor="let update of updates">
              <h2 class="post-title">
                <a [href]="update.link">{{ update.title }}</a>
              </h2>
              <div>
                <span class="post-meta">{{ update.type }} |</span>
                <span class="post-meta"> {{ update.author }}</span>
              </div>
          </li>
        </ul>
  </section>

  <button
    mat-raised-button
    color="primary"
    class="button"
    (click)="goToLink(Link)"
  >
    {{ LinkText }}
  </button>
</div>
